Skip to navigation

Inquire About Statuses of a Single Payer ID or Assignee ID

View as Markdown
Inquiry endpoint to inquire about the statuses of a single payer ID or assignee ID.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Query parameters

client_idstringRequired

This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for OAuth token generation.

Request

Describes the status of payer ID or Assignee ID.
country_codestringRequiredformat: "^[A-Z]{2}$"

The ISO country code specifying which country the account is held with. For example, if we receive a request for Denmark, the county code is DE. For France, the country code is FR. The list of allowed country codes are
DE - Denmark
FR - France
GB - Great Britain
IE - Ireland
NL - Netherlands
US - United states of America
CA - Canada
HK - Hong Kong
SG - Singapore
AU - Australia
NZ - New Zealand
LU - Luxembourg

payerid_numberstringOptional1-35 characters

Unique number assigned for payers and beneficiaries to identify incoming payments. Please provide either the payerid_number or the assignee_id.

assignee_idstringOptional1-100 characters

Assignee ID expected from client for upfront sanction screening and activation of Payer ID number. Please provide either payerid_number or assignee_id.

Response headers

request_idstringOptional

Response

OK
request_idstring<=96 characters

Auto-generated unique identification assigned for the incoming request.

country_codestringformat: "^[A-Z]{2}$"

The ISO country code specifying the country where the account is held. For example, if we receive a request for Germany then the county code is DE. For France, it is FR. The list of allowed country codes are:
DE - Germany
FR - France
GB - Great Britain
IE - Ireland
NL - Netherlands
US - United States
CA - Canada
HK - Hong Kong
SG - Singapore
AU - Australia

payerid_detailsobjectOptional
merchantobjectOptional
beneficiarylist of objectsOptional
error_detailslist of objectsOptional

Errors

400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error